package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface LongConsumer
{
    public abstract void accept(long p0);
    
    default public LongConsumer andThen(LongConsumer obj) {
        Objects.requireNonNull(obj);
        return n2/* long, */ -> {
            this.accept(n2);
            p0.accept(n2);
            return;
        };
    }
}
